# ubermag
Marijan Beg<sup>1,2</sup>, Ryan A. Pepper<sup>2</sup>, Thomas Kluyver<sup>1</sup>, and Hans Fangohr<sup>1,2</sup>

<sup>1</sup> *European XFEL GmbH, Holzkoppel 4, 22869 Schenefeld, Germany*  
<sup>2</sup> *Faculty of Engineering and the Environment, University of Southampton, Southampton SO17 1BJ, United Kingdom*  

| Description | Badge |
| --- | --- |
| Latest release | [![PyPI version](https://badge.fury.io/py/joommf.svg)](https://badge.fury.io/py/ubermag) |
|                | [![Anaconda-Server Badge](https://anaconda.org/conda-forge/ubermag/badges/version.svg)](https://anaconda.org/conda-forge/ubermag) |
| Build | [![Build Status](https://travis-ci.org/ubermag/ubermag.svg?branch=master)](https://travis-ci.org/ubermag/ubermag) |
|       | [![Build status](https://ci.appveyor.com/api/projects/status/mybyc82pthjy2g42?svg=true)](https://ci.appveyor.com/project/marijanbeg/ubermag) |
| Coverage | [![codecov](https://codecov.io/gh/joommf/joommf/branch/master/graph/badge.svg)](https://codecov.io/gh/joommf/joommf) |
| Documentation | [![Documentation Status](https://readthedocs.org/projects/ubermag/badge/?version=latest)](https://ubermag.readthedocs.io/en/latest/?badge=latest) |
| Binder | [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/ubermag/ubermag/master?filepath=docs%2Fipynb%2Findex.ipynb) |
| Platforms | [![Platforms](https://anaconda.org/conda-forge/ubermag/badges/platforms.svg)](https://anaconda.org/conda-forge/ubermag) |
| Downloads | [![Downloads](https://anaconda.org/conda-forge/ubermag/badges/downloads.svg)](https://anaconda.org/conda-forge/ubermag) |
| License | [![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://opensource.org/licenses/BSD-3-Clause) |

## About

`ubermag` is a Python meta package for the Ubermag project.

It is available on all major operating systems (Windows, MacOS, Linux) and requires Python 3.6 or higher.

## Installation, testing, and upgrade

We support installation using `conda` package manager. Instructions can be found [here](https://ubermag.readthedocs.io/en/latest/ipynb/00-tutorial-installation-testing-upgrade.html).

## Binder

This package can be used in the cloud via Binder. This does not require you to have anything installed and no files will be created on your machine. To access Binder, use this [link](https://mybinder.org/v2/gh/ubermag/oommfc/master?filepath=docs%2Fipynb%2Findex.ipynb).

## Documentation

Documentation is available [here](https://ubermag.readthedocs.io/en/latest/), where APIs and tutorials as Jupyter notebooks are available.

## Support

If you require support or have any questions, you are welcome to raise an issue in our [ubermag/help](https://github.com/ubermag/help) repository.

## License

Licensed under the BSD 3-Clause "New" or "Revised" License. For details, please refer to the [LICENSE](LICENSE) file.

## How to cite

If you use this package in your research, please cite it as:

1. M. Beg, R. A. Pepper, and H. Fangohr. User interfaces for computational science: A domain specific language for OOMMF embedded in Python. [AIP Advances, 7, 56025](http://aip.scitation.org/doi/10.1063/1.4977225) (2017).

2. DOI will be available soon

## Acknowledgements

Developed as a part of [OpenDreamKit](http://opendreamkit.org/) – Horizon 2020 European Research Infrastructure project (676541).
